#include "MeshNormalsInversionDock.h"
#include <qmainwindow.h>
#include <cmath>
#include <X3DTK/kernel.h>

#include <iostream>

using namespace std;

MeshNormalsInversionDock::MeshNormalsInversionDock(QMainWindow *parent)
: QToolBar(parent)
{
  parent->moveDockWindow(this, DockRight);
  
  _form = new NormalsInversionForm(this);
  setCaption(tr("Normals Inversion"));
  
  connect(_form->invertButton, SIGNAL(clicked()), this, SLOT(invertButton()));
  connect(_form->makeCoherentButton, SIGNAL(clicked()), this, SLOT(makeCoherentButton()));
  connect(_form->updateButton, SIGNAL(clicked()), this, SLOT(computeNormalsButton()));  
}

void MeshNormalsInversionDock::invertButton()
{
  RC::Route::send(this, &MeshNormalsInversionDock::invert);
}

void MeshNormalsInversionDock::makeCoherentButton()
{  
  RC::Route::send(this, &MeshNormalsInversionDock::makeCoherent);
}

void MeshNormalsInversionDock::computeNormalsButton()
{  
  RC::Route::send(this, &MeshNormalsInversionDock::computeNormals);
}

void MeshNormalsInversionDock::invert() const
{
}

void MeshNormalsInversionDock::makeCoherent() const
{
}

void MeshNormalsInversionDock::computeNormals() const
{
}
