#include <X3DTK/kernel.h>
#include <X3DTK/X3D/scenegraph.h>
#include <X3DTK/X3D/scenesaver.h>
#include <X3DTK/X3D/worldcoordtranslator.h>
#include <iostream>

using namespace X3DTK;
using namespace std;

int main(int argc, char *argv[])
{
  if (argc <= 2)
  {
    cerr << "usage: X3DWorldCoordTranslator input output" << endl;
    exit(0);
  }

  // DefaultLoader to load the default X3D Nodes.
  X3D::Loader *loader = X3DLoader::getInstanceOf<X3D::Loader>();
  X3D::SceneSaver *sceneSaver = X3DProcessor::getInstanceOf<X3D::SceneSaver>();
  X3D::WorldCoordTranslator *translator = X3DProcessor::getInstanceOf<X3D::WorldCoordTranslator>();
  
  // Loads the scene.
  X3D::Scene *s = loader->load(argv[1], true);
  translator->translate(s);
  
  sceneSaver->saveAs(s, argv[2]);
  
  return 1;
}
