#include "X3D_Inline.h"

namespace X3DTK {
namespace X3D {

Inline::Inline()
: X3DChildNode(), X3DUrlObject(), X3DBoundedObject(), _load(true)
{
  defineTypeName("Inline", "Networking");
}

Inline::Inline(const SFBool &load)
: X3DChildNode(), X3DUrlObject(), X3DBoundedObject(), _load(load)
{
  defineTypeName("Inline", "Networking");
}

Inline::Inline(const Inline &I)
: X3DChildNode(I), X3DUrlObject(I), X3DBoundedObject(I), _load(I._load)
{
}

SFAbstractNode Inline::clone() const
{
  return new Inline(*this);
}

Inline::~Inline()
{
}

void Inline::setLoad(const SFBool &load)
{
  _load = load;
}

void Inline::load(const X3DFileElement *element)
{
  X3DUrlObject::load(element);
  X3DBoundedObject::load(element);

  int index;
  index = element->getIndexAttribute("load");
  if (index != -1)
    _load = (element->getAttribute(index)).upper() == "TRUE";
}

SFString &Inline::write(SFString &output) const
{
  X3DUrlObject::write(output);
  
  if (!_load)
    output += " url=\'" + toSFString(_load) + "\'";
        
  return output;
}
}
}
