#include "X3D_GLBuilderNavigationVisitor.h"
#include "X3D_Collision.h"
#include "GL_Group.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

GLBuilderNavigationVisitor::GLBuilderNavigationVisitor()
: NavigationVisitor()
{
  // Enter functions.
  defineEnterFunction(&GLBuilderNavigationVisitor::enterCollision);
}

void GLBuilderNavigationVisitor::enterCollision(Collision *C) 
{
  GLBuilderStateVariables *stateVariables = GraphTraversal::getInstanceOf<GLBuilderStateVariables>();
  GL::SFNode GG = stateVariables->getNode(C);
  if (GG == 0)
  {
    GG = new GL::Group();
    GG->setX3DReference(C);
    stateVariables->addCoupleNode(C, GG);
  }   
  stateVariables->pushNode(GG);
}

}
}
